Contents

# Seek Statement

Postaviti poziciju za sljedece pisanje ili citanje u datoteci koja je otvorena unutar otvorene izjave.

Za daototeke nasumicnog pristupa, trazi isjava postavlja broj sljedeceg reda kojem ce se proistupiti.

Za sve ostale datoteke, trazi izjava postavlja poziciu bajta na mjesto gdje ce se sljedeca operacija izvrsiti.

### Syntax:

    Seek [#]filePos, {filePos|recordNum}

## Parameters:

fileNum: The data channel number used in the Open statement.

filePos, recordNum: Position for the next writing or reading. Position can be a number between 1 and 2,147,483,647. According to the file type, the position indicates the number of the record (files in the Random mode) or the byte position (files in the Binary, Output, Append or Input mode). The first byte in a file is position 1, the second byte is position 2, and so on.

### Error codes:

5 Invalid procedure call

52 Nevažeći naziv datoteke ili broj datoteke

Related Topics

Open Statement

Seek function